Package Details: obs-transition-matrix-git master.r0.g15f096e-1

Git Clone URL: https://aur.archlinux.org/obs-transition-matrix-git.git (read-only, click to copy)
Package Base: obs-transition-matrix-git
Description: Expands the basic OBS custom transition support to a scene to scene basis.
Upstream URL: https://github.com/admshao/obs-transition-matrix
Keywords: obs-plugin
Licenses: GPL2
Provides: obs-transition-matrix
Submitter: katoitalia
Maintainer: katoitalia
Last Packager: katoitalia
Votes: 1
Popularity: 0.007812
First Submitted: 2020-10-20 19:57
Last Updated: 2020-10-21 05:39

Latest Comments

juancri commented on 2021-03-07 15:21

@katoitalia Thank you. This is weird. From all the *-git packages I have, this is the only one behaving like this. When running pikaur -Syuu, I always see packages/obs-transition-matrix-git with updates available, even when the last version is installed.

UPDATE: This happens even after forcing a rebuild and reinstall with pikaur -S --rebuild obs-transition-matrix-git

UPDATE 2: I notice that, when running makepkg, two packages are generated:

  • obs-transition-matrix-git-makepkg.r0.g15f096e-1-x86_64.pkg.tar
  • obs-transition-matrix-git-master.r0.g15f096e-1-x86_64.pkg.tar

I think these two names come from:

  • pkgver variable: pkgver=makepkg.r0.g15f096e
  • pkgver function:
pkgver() {
  cd $pkgname
  git describe --long --tags --all | sed -r "s/([^-]*-g)/r\1/;s/-/./g" | awk 'BEGIN { FS = "/"} {print $2}'
}

katoitalia commented on 2021-03-05 17:29

@juancri it is no issue at all: this is a -git package, this means that it will compile and install the latest commit upstream. PKGBUILD (and its pkgver) WILL NOT be updated unless it fails to compile latest commit.

juancri commented on 2021-03-05 15:01

It looks like the package is installing a different version name that it is reporting in AUR.

Every time I try to update my AUR packages, I see this:

obs-transition-matrix-git makepkg.r0.g15f096e-1 -> master.r0.g15f096e-1

So it looks like the package is reporting to provide master.r0.g15f096e-1 but it's installing makepkg.r0.g15f096e-1.

Please correct me if I'm wrong. Is this a known issue? Thanks!

katoitalia commented on 2020-10-21 05:45

@caltlgin thanks, it has been fixed